/*---------------------------------------------------------------------------
**
**	MAIN_PLX.H
**
**
**	Copyright(c) 1999-2000, Vital Computer Solutions, All Rights Reserved
**	Richard A. Reynolds
**
**	Copyright(c) 2000-2006, ProSoft Technology, All Rights Reserved
**	Ken D. Hopwood
**
**	Copyright(c) 2002-2003, ProSoft Technology, All Rights Reserved
**	Sukhum Amorntrakul (Joe)
**
**	Incorporates code from 09/1999 to 11/2000
**
**	MODIFIED :
**
**		12/05/2000 - 02/28/2001 -- Created example code from
**									existing works.
**
**
**	Title:	Primary header file for the example application.
**
**  Abstract:
**
**
**	This program may serve as a starting point or an example
**	for custom applications.
**
**  Environment:	ProLinx
**						GS-DOS
**						Borland C/C++ Compiler v5.02 (16-bit DOS)
**						Digital Mars C/C++ Compiler v8.49 (16-bit DOS)
**
**
** ProSoft Technology, Inc. grants you a non-exclusive license to use, modify
** and re-distribute this program provided that this copyright notice and
** license appear on all copies of the software.
**
** Software is provided "AS IS," without a warranty of any kind. ALL EXPRESS OR
** IMPLIED REPRESENTATIONS AND WARRANTIES, INCLUDING ANY IMPLIED WARRANTY OF
** MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT, ARE
** HEREBY EXCLUDED. THE ENTIRE RISK ARISING OUT OF USING THE SOFTWARE IS ASSUMED
** BY THE LICENSEE.
**
** PROSOFT TECHNOLOGY, INC. AND ITS LICENSORS SHALL NOT BE LIABLE FOR ANY
** DAMAGES SUFFERED BY LICENSEE OR ANY THIRD PARTY AS A RESULT OF USING OR
** DISTRIBUTING SOFTWARE.  IN NO EVENT WILL PROSOFT TECHNOLOGY, INC. OR ITS
** LICENSORS BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT,
** INDIRECT, SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER
** CAUSED AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF
** OR INABILITY TO USE SOFTWARE, EVEN IF PROSOFT TECHNOLOGY, INC. HAS BEEN
** ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
**
**---------------------------------------------------------------------------
*/


/*---------------------------------------------------------------------------
**	COMPILER SWITCHES TO BUILD DIFFERENT VERSIONS OF THE SOFTWARE
**---------------------------------------------------------------------------
*/

#define DEBUGPORT				/* Enable Debug Port */


/*---------------------------------------------------------------------------
**	STANDARD INCLUDES FOR ALL MODULES
**---------------------------------------------------------------------------
*/

#include "mvispapi.h"      /* MVI serial port API */
#include "admapi.h"        /* ADM API */


/*---------------------------------------------------------------------------
**	CONSTANT DEFINITIONS
**---------------------------------------------------------------------------
*/

#define FALSE     0
#define TRUE      1

#define PRODUCT_NAME  "APPLICATION DEVELOPMENT MODULE (4102-ADM)"
#define ROLLOVER	65535L

/*---------------------------------------------------------------------------
**	USER DATA TYPES
**---------------------------------------------------------------------------
*/



/*---------------------------------------------------------------------------
**	GLOBAL DATA
**---------------------------------------------------------------------------
*/

extern ADM_PRODUCT		*adm_product_ptr;		   /* pointer to product information structure */
extern ADM_BT_DATA 		*adm_bt_data_ptr;       /* pointer to block transfer data structure */
extern ADM_BLK_ERRORS 	*adm_bt_err_ptr;        /* pointer to block transfer counter structure */
extern ADM_MODULE		   *adm_module_ptr;		   /* pointer to module configuration structure*/
extern ADM_PORT			*adm_port_ptr;          /* pointer to port configuration structure */
extern ADM_PORT_ERRORS	*adm_port_errors_ptr;	/* pointer to port error structure */


/*---------------------------------------------------------------------------
**	Function Prototypes
**---------------------------------------------------------------------------
*/


